package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.SmsBlacklist;

/**
 * 手机黑名单Service接口
 * 
 * @author ie
 * @date 2025-01-25
 */
public interface ISmsBlacklistService 
{
    /**
     * 查询手机黑名单
     * 
     * @param id 手机黑名单主键
     * @return 手机黑名单
     */
    public SmsBlacklist selectSmsBlacklistById(Long id);

    /**
     * 查询手机黑名单列表
     * 
     * @param smsBlacklist 手机黑名单
     * @return 手机黑名单集合
     */
    public List<SmsBlacklist> selectSmsBlacklistList(SmsBlacklist smsBlacklist);

    /**
     * 新增手机黑名单
     * 
     * @param smsBlacklist 手机黑名单
     * @return 结果
     */
    public int insertSmsBlacklist(SmsBlacklist smsBlacklist);

    /**
     * 修改手机黑名单
     * 
     * @param smsBlacklist 手机黑名单
     * @return 结果
     */
    public int updateSmsBlacklist(SmsBlacklist smsBlacklist);

    /**
     * 批量删除手机黑名单
     * 
     * @param ids 需要删除的手机黑名单主键集合
     * @return 结果
     */
    public int deleteSmsBlacklistByIds(Long[] ids);

    /**
     * 删除手机黑名单信息
     * 
     * @param id 手机黑名单主键
     * @return 结果
     */
    public int deleteSmsBlacklistById(Long id);
}
